This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 486289 - LSB 4.0 failed on Fedora11 Alpha
LSB 4.0 failed on Fedora11 Alpha
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lsb (Show other bugs)
10
ppc64 All
low Severity medium
: ---
: ---
Assigned To: Elena Zannoni
:
Depends On:
Blocks: 513478
  Show dependency treegraph
 
Reported: 2009-02-19 04:02 EST by IBM Bug Proxy
Modified: 2009-12-18 02:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 513478 (view as bug list)
Environment:
Last Closed: 2009-12-18 02:58:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Summary of failed tests. (894.95 KB, text/html)
2009-02-19 04:02 EST, IBM Bug Proxy
no flags Details
LSB4.0 results on F11 Beta (1.11 MB, text/html)
2009-04-13 02:31 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2009-02-19 04:02:34 EST
=Comment: #0=================================================
Pavan Naregundi <pavan.naregundi@in.ibm.com> - 

Summary of failed tests. 

LSB 4.0 (lsb-dist-testkit-4.0.0-3.ppc64.tar.gz) which is 4.0 RC2 version, reported fails on Fedora
11 Alpha. 

Here is the summary of the result.
========================
Test Info
========
Tests Started At 	14:19:29 09-02-2009
Tests Finished At 	00:33:29 10-02-2009
Host Name 	JS21
Host OS 	Fedora release 10.91 (Rawhide)
Host Machine 	ppc64
Host Platform 	ppc64
Host Kernel 	2.6.29-0.66.rc3.fc11.ppc64 #1 SMP Thu Jan 29 14:47:36 EST 2009

=======================
Tests executed
===============
 Certification Tests
   Command Tests
    Command Check 	  v 4.0.0-2 	Success 	Passed: 150
   Static Interface Tests
    Library Check 	  v 4.0.0-2 	Failures: 38 	Passed: 49606
   Runtime Interface Tests
    Core Tests 	  v 4.0.2-1 	Failures: 33 	Passed: 5785
    Cpp-T2C Tests 	  v 4.0.0-2 	Failures: 15 	Passed: 1763
    Desktop-T2C Tests 	  v 4.0.0-2 	Failures: 43 	Passed: 4892
    Libstdc++ Tests 	  v 4.1.0-4.lsb4 	Failures: 10 	Passed: 1790
    OLVER Core Tests 	  v 4.0.0-5 	Failures: 50 	Passed: 4819
    Perl Tests 	  v 4.0.4-1 	Failures: 3 	Passed: 586
    Printing Tests 	  v 4.0.3-1 	Failures: 6 	Passed: 79
    Python Runtime Tests 	  v 4.0.0-2 	Failures: 3 	Passed: 105
    Qt3-Azov Tests 	  v 4.0.0-1 	Success 	Passed: 9792
    Qt4-Azov Tests 	  v 4.0.0-1 	Success 	Passed: 11018
    X11 Tests (XTS5) 	  v 5.1.5-16.lsb4 	No Result  [?] 	Passed: 0

=============================

Some of the known failures are listed in http://www.linuxfoundation.org/en/TestPilot40

Attaching the detailed test_log. Please contact me for complete lsb result logs(complete results
logs are too large to attach).
=Comment: #1=================================================
Raising mirror request so that we can get feedback from distro on failures
known to them and those that need to be worked on
      
This was noticed on FC 11
Comment 1 IBM Bug Proxy 2009-02-19 04:02:47 EST
Created attachment 332514 [details]
Summary of failed tests.
Comment 2 IBM Bug Proxy 2009-02-25 05:41:23 EST
RedHat,

Have you had the chance to look at these failures? Could you inform us which ones you're already aware of and which ones need to be worked on?
Comment 3 IBM Bug Proxy 2009-03-02 06:21:44 EST
RedHat,

Any updates on this?
Comment 4 IBM Bug Proxy 2009-04-02 06:41:32 EDT
------- Comment From vinaysridhar@in.ibm.com 2009-04-02 06:38 EDT-------
Red Hat,

Please let us know if any of the failures are being considered for fixes.
Comment 5 IBM Bug Proxy 2009-04-13 02:21:45 EDT
------- Comment From pavan.naregundi@in.ibm.com 2009-04-13 02:19 EDT-------
LSB 4.0 results on Fedora 11 beta with lsb DTK version: lsb-dist-testkit-4.0.0-4.ppc64.tar.gz

==================
Host Name 	mjs22lp1
Host OS 	Fedora release 10.92 (Rawhide)
Host Machine 	ppc64
Host Platform 	ppc64
Host Kernel 	2.6.29-0.258.2.3.rc8.git2.fc11.ppc64 #1 SMP Tue Mar 24 18:41:15 EDT 2009
Tests executed
Certification Tests
Command Tests
Command Check 	  v 4.0.0-2 	Success 	Passed: 150
Static Interface Tests
Library Check 	  v 4.0.0-2 	Failures: 22 	Passed: 14236
Runtime Interface Tests
Core Tests 	  v 4.0.3-1 	Failures: 19 	Passed: 5756
Cpp-T2C Tests 	  v 4.0.0-3 	Failures: 75 	Passed: 1715
Desktop-T2C Tests 	  v 4.0.0-4 	Failures: 8 	Passed: 4916
Libstdc++ Tests 	  v 4.1.0-4.lsb4 	Failures: 21 	Passed: 1775
OLVER Core Tests 	  v 4.0.0-5 	Failures: 1 	Passed: 0
Perl Tests 	  v 4.0.5-1 	Failures: 3 	Passed: 586
Printing Tests 	  v 4.0.3-1 	No Result  [?] 	Passed: 0
Python Runtime Tests 	  v 4.0.0-2 	Failures: 3 	Passed: 105
Qt3-Azov Tests 	  v 4.0.0-1 	Failures: 1 	Passed: 0
Qt4-Azov Tests 	  v 4.0.0-1 	Failures: 1 	Passed: 0
X11 Tests (XTS5) 	  v 5.1.5-16.lsb4 	No Result  [?] 	Passed: 0
=======================
Comment 6 IBM Bug Proxy 2009-04-13 02:31:37 EDT
Created attachment 339281 [details]
LSB4.0 results on F11 Beta


------- Comment (attachment only) From pavan.naregundi@in.ibm.com 2009-04-13 02:21 EDT-------
Comment 7 IBM Bug Proxy 2009-04-24 07:02:33 EDT
------- Comment From vinaysridhar@in.ibm.com 2009-04-24 06:55 EDT-------
RedHat,

Any updates on this?
Comment 8 IBM Bug Proxy 2009-08-05 02:51:50 EDT
------- Comment From pavan.naregundi@in.ibm.com 2009-08-05 02:47 EDT-------
As F11 has GA'ed and F11 cycle is over, however the bug has not been fixed. Hence closing this bug as will not fix.
Comment 9 Bug Zapper 2009-11-18 06:09:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 02:58:14 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.